;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; PS
; Schaltet den Hintergrund im Modelbereich zwischen Schwarz und Wei hin
; und her.
;
; SB
; Schaltet im die Anzeige der Plotstiltabelle ein/aus.
; 
;
; Aufruf: PS oder SB
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; (c) Dipl.-Ing.  Volker Kleppel
; http://www.cadwerk.com
; vkleppel@gmx.de
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Version: 1.1                      Datum: 20.05.2018
; AutoCAD12   [ ]  AutoCAD14   [x]  AutoCAD2000(i) [x]   
; AutoCAD2002 [x]  AutoCAD2004 [x]  AutoCAD2005    [x]
; AutoCAD2006 [x]  AutoCAD2007 [x]  AutoCAD2008    [x]
; AutoCAD2009 [x]  AutoCAD2010 [x]  AutoCAD2011    [x]
; AutoCAD2012 [x]  AutoCAD2013 [x]  AutoCAD2014    [x]
; AutoCAD2015 [x]  AutoCAD2016 [x]  AutoCAD2017    [x]
; AutoCAD2018 [x]  AutoCAD2019 [x]
; Freeware    [x]  Shareware   [ ]
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Schaltet den Hintergrund im Modellbereich zwischen
; Schwarz und Wei um.
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

(defun c:SB ( / al )
  (vl-load-com)
  (setq al (vla-get-Display(vla-get-Preferences(vla-get-application(vlax-get-acad-object)))))
  (if (= (vlax-variant-value(vlax-variant-change-type(vla-get-GraphicsWinModelBackgrndColor al) vlax-vbLong))0)
    (progn
      (vla-put-GraphicsWinModelBackgrndColor al 16777215)
      (princ "\nHintergrund des Modellbereichs: Wei")
    )
    (progn
      (vla-put-GraphicsWinModelBackgrndColor al 0)
      (princ "\nHintergrund des Modellbereichs: Schwarz")
    ) 
  )
  (princ)
)

;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Schaltet im die Anzeige der Plotstiltabelle ein/aus.
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

(defun c:PS ( / al)
  (vl-load-com)
  (setq al (vla-get-ActiveLayout (vla-get-activedocument (vlax-get-acad-object))))
  (if (= (vla-get-showplotstyles al) :vlax-false)
    (progn (vla-put-showplotstyles al :vlax-true) (princ "\nPlotstiltabelle anzeigen: Ein"))
    (progn (vla-put-showplotstyles al :vlax-false) (princ "\nPlotstiltabelle anzeigen: Aus"))
   )
  (command "_regenall")
  (princ)
)

(princ "\nSteuern der Anzeige von AutoCAD2012")
(princ "\n(c) Dipl.-Ing. Volker Kleppel")
(princ "\nStand 25.07.2011")
(princ "\nAufruf: PS oder SB")
(print)
